ClassPathTask (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.antclipse

## Class ClassPathTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - net.sf.antcontrib.antclipse.ClassPathTask

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ClassPathTask
      extends org.apache.tools.ant.Task

  Support class for the Antclipse task. Basically, it takes the .classpath Eclipse file and feeds a SAX parser. The handler is slightly different according to what we want to obtain (a classpath or a fileset)
  Since:
    Ant 1.5
  Version:
    $Revision: 1.2 $
  Author:
    Adrian Spinei aspinei@myrealbox.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TARGET_CLASSPATH`
    `static java.lang.String` | `TARGET_FILESET`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassPathTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `void` | `setExcludes(java.lang.String excludes)` Setter for task parameter
    `void` | `setIdContainer(java.lang.String idContainer)` Setter for task parameter
    `void` | `setIncludeLibs(boolean includeLibs)` Setter for task parameter
    `void` | `setIncludeOutput(boolean includeOutput)` Setter for task parameter
    `void` | `setIncludes(java.lang.String includes)` Setter for task parameter
    `void` | `setIncludeSource(boolean includeSource)` Setter for task parameter
    `void` | `setproduce(java.lang.String produce)` Setter for task parameter
    `void` | `setProject(java.lang.String project)` Setter for task parameter
    `void` | `setVerbose(boolean verbose)` Setter for task parameter

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TARGET_CLASSPATH

          public static final java.lang.String TARGET_CLASSPATH

      See Also:
        Constant Field Values

    - #### TARGET_FILESET

          public static final java.lang.String TARGET_FILESET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassPathTask

          public ClassPathTask()

  - ### Method Detail

    - #### setIncludeLibs

          public void setIncludeLibs(boolean includeLibs)

      Setter for task parameter
      Parameters:
        `includeLibs` - Boolean, whether to include or not the project libraries. Default is true.

    - #### setproduce

          public void setproduce(java.lang.String produce)

      Setter for task parameter
      Parameters:
        `produce` - This parameter tells the task wether to produce a "classpath" or a "fileset" (multiple filesets, as a matter of fact).

    - #### setVerbose

          public void setVerbose(boolean verbose)

      Setter for task parameter
      Parameters:
        `verbose` - Boolean, telling the app to throw some info during each step. Default is false.

    - #### setExcludes

          public void setExcludes(java.lang.String excludes)

      Setter for task parameter
      Parameters:
        `excludes` - A regexp for files to exclude. It is taken into account only when producing a classpath, doesn't work on source or output files. It is a real regexp, not a "*" expression.

    - #### setIncludes

          public void setIncludes(java.lang.String includes)

      Setter for task parameter
      Parameters:
        `includes` - A regexp for files to include. It is taken into account only when producing a classpath, doesn't work on source or output files. It is a real regexp, not a "*" expression.

    - #### setIdContainer

          public void setIdContainer(java.lang.String idContainer)

      Setter for task parameter
      Parameters:
        `idContainer` - The refid which will serve to identify the deliverables. When multiple filesets are produces, their refid is a concatenation between this value and something else (usually obtained from a path). Default "antclipse"

    - #### setIncludeOutput

          public void setIncludeOutput(boolean includeOutput)

      Setter for task parameter
      Parameters:
        `includeOutput` - Boolean, whether to include or not the project output directories. Default is false.

    - #### setIncludeSource

          public void setIncludeSource(boolean includeSource)

      Setter for task parameter
      Parameters:
        `includeSource` - Boolean, whether to include or not the project source directories. Default is false.

    - #### setProject

          public void setProject(java.lang.String project)

      Setter for task parameter
      Parameters:
        `project` - project name

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`
      See Also:
        `Task.execute()`